// create simple router with home and dashboard route
import { createRouter, createWebHistory } from 'vue-router';

import { LoginRedirect } from '@piveau/piveau-hub-ui-plugin-auth';

const router = createRouter({
  history: createWebHistory(),
  routes: [
    {
      name: 'home',
      path: '/',
      component: () => import('./views/HomeView.vue'),
    },
    {
      name: 'dashboard',
      path: '/dashboard',
      component: () => import('./views/DashboardView.vue'),
      meta: {
        requiresAuth: true,
      },
    },
    {
      name: 'redirect',
      path: '/login-redirect',
      component: LoginRedirect,
    },
  ],
});

export default router;
