import * as z from 'zod';

export const envSchema = z.object({
  VITE_APP_PV_AUTH_MIDDLEWARE_API_URL: z.string(),
  VITE_APP_PV_AUTH_REDIRECT_URL: z.string(),
  VITE_APP_HUB_REPO_URL: z
    .string()
    .default(
      'https://piveau-hub-repo-data-europa-eu.apps.osc.fokus.fraunhofer.de/',
    ),
});

export type Env = z.infer<typeof envSchema>;

export function useEnv() {
  const env = envSchema.parse(import.meta.env);
  return env;
}
