import type { createPiveauAuthApi } from './api'

export async function navigateToLogoutPage({
  api,
  pageUrl,
  redirectUrl,
  callEndsessionUrl,
}: {
  api: ReturnType<typeof createPiveauAuthApi>
  redirectUrl?: string
  pageUrl?: string
  callEndsessionUrl?: boolean
}) {
  const { logout_url: logoutUrl } = await api.logout({
    page_url: pageUrl || window.location.href,
    post_logout_redirect_url: redirectUrl,
    call_endsession_url: callEndsessionUrl || false,
  })

  window.location.href = logoutUrl
}
