/**
 * @see https://github.com/vuejs/pinia/blob/v2/packages/pinia/src/globalExtensions.ts
 */

import type { PiveauAuth } from './types'

// Extensions of Vue types to be appended manually
// https://github.com/microsoft/rushstack/issues/2090
// https://github.com/microsoft/rushstack/issues/1709

// @ts-expect-error: works on Vue 2, fails in Vue 3
declare module 'vue/types/vue' {
  interface Vue {
    /**
     * Currently installed pvAuth instance.
     */
    $pvAuth: PiveauAuth
  }
}

// @ts-expect-error: works on Vue 2, fails in Vue 3
declare module 'vue/types/options' {
  // eslint-disable-next-line unused-imports/no-unused-vars
  interface ComponentOptions<V> {
    /**
     * pvAuth instance to install in your application. Should be passed to the
     * root Vue.
     */
    pvAuth?: PiveauAuth
  }
}

// TODO: figure out why it cannot be 'vue'
declare module '@vue/runtime-core' {
  export interface ComponentCustomProperties {
    /**
     * Access to the application's Pinia
     */
    $pvAuth: PiveauAuth
  }
}
