import { describe, expect, it } from 'vitest'

import { parseRedirectUri } from '../src/utils'

describe('parseRedirectUri', () => {
  it('should parse uri correctly', () => {
    const parsed = parseRedirectUri(
      'https://example.org/?code=x&state=y&foo=bar#some-hash-value=123&another-hash-value=456',
    )
    expect(parsed.oauthParams.code).toEqual('x')
    expect(parsed.oauthParams.state).toEqual('y')
    expect(parsed.otherParams.foo).toEqual('bar')
    expect(parsed.redirectUri).toEqual('https://example.org/')
    expect(parsed.newUri).toEqual(
      'https://example.org/?foo=bar#some-hash-value=123&another-hash-value=456',
    )
  })
  it('should error on invalid uri', () => {
    expect(() => parseRedirectUri('foobar')).toThrow()
  })
})
