// test-utils.js
import type { Plugin as VuePlugin } from 'vue-demi'
import { createApp } from 'vue-demi'

export function withSetup<T>(composable: () => T, plugin: VuePlugin) {
  let result: T | null = null
  const app = createApp({
    setup() {
      result = composable()
      // suppress missing template warning
      return () => {}
    },
  })
  if (plugin)
    app.use(plugin)

  app.mount(document.createElement('div'))
  // return the result and the app instance
  // for testing provide / unmount
  return {
    result,
    app,
  }
}
